Name:           mate-icon-theme-faenza
Version:        1.6.0
Release:        1%{?dist}
Summary:        Extra set of icon themes for MATE Desktop
License:        GPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.6/mate-icon-theme-faenza-1.6.0.tar.xz

BuildRequires: hardlink
BuildRequires: mate-common

BuildArch: noarch

%description
Provides a complimentary set of icon themes for MATE Desktop

%prep
%setup -q


%build
NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}

# save space by linking identical images
hardlink -c -v %{buildroot}%{_datadir}/icons

%post
/bin/touch --no-create %{_datadir}/icons/matefaenza &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/matefaenzagray &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/matefaenzadark &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/matefaenza &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenza &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons//matefaenzadark &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzadark &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons//matefaenzagray &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzagray &> /dev/null || :


fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenza &> /dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzadark &> /dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzagray &> /dev/null || :




%files
%{_datadir}/icons/matefaenzagray
%{_datadir}/icons/matefaenzadark
%{_datadir}/icons/matefaenza
%doc AUTHORS COPYING README NEWS



%changelog
* Wed Jul 31 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Initial build
